Welcome

Welcome to SketchNC!

SketchNC™ v1.00

Copyright© 2013 - 2020

NCPlot Software LLC

For the latest release information, news, or if you can’t find what you need in this help file, please check the online forums at www.ncplot.com

We can also be contacted directly via email scottmartinez@ncplot.com


Registering SketchNC

When SketchNC is first installed, you are given a 15-day trial period. During this time the software is fully functional, allowing you to evaluate it’s suitability for your needs.

After the trial period has expired, SketchNC will no longer run without a registration key. These may be purchased from the online ordering page at http://www.ncplot.com/ The web site contains current pricing and ordering information.

To register SketchNC, enter your registration name and product key into the splash window. This window is displayed every time SketchNC starts, but may also be accessed from the menu Help / About. Note that the splash window is not displayed at startup after the software has been successfully registered.


Getting Started

On startup, you are greeted with the following screen. If you have not registered the software, a window displays your remaining trial period time. You may click Ok to continue unregistered, or you may enter your name and key information.

The SketchNC interface consists of:

  • Menu bar - the menus provide access to the program features.

  • Toolbars - the toolbar buttons provide quick access to the most commonly used program features.

  • Drawing viewport - the graphical display of the drawing.

  • Status bar - provides feedback about the current state of SketchNC.

  • Object properties - displays information about the last selected entity.

  • Layers - displays the list of layers and their assigned machining parameters.

  • Program - contains the generated G-Code program code.


The Viewport

The graphics viewport is where the drawing is displayed and edited.

.

The dashed lines indicate where 0, 0 is on the drawing. Unless otherwise specified, this is also the reference zero point for creation of G-Code. The menu Translate / Set Work Zero can be used to specify a new reference point for the creation of G-Code.

The viewport will only show drawing layers that are enabled. Layers can be hidden by unchecking their name in the layer list. Entities on layers that are hidden will not be displayed on the viewport and cannot be selected when drawing or editing.


The Status Bar

The status bar appears at the bottom of the application window and provides status information such as:

Edit state - the word EDIT appears when any changes have been made to the active drawing since being loaded or saved.

Mouse pointer coordinates - the X, Y coordinates of the mouse pointer as it moves on the viewport.

Grid snap status - the current grid snap on / off status. Clicking this panel on the status bar or pressing the "G" key will toggle the status on or off.

Object snap status - the current object snap on / off status. Clicking this panel on the status bar or pressing the "O" key will toggle the status on or off.

Show points status - the current show points status. Clicking this panel on the status bar or pressing the "S" key will toggle the status between Off, Show Start Points, and Show All Points.

Message area - various messages appear in the right most panel of the status bar.


Viewport Pan and Zoom

SketchNC provides several methods for panning and zooming the viewport.

Viewport panning and zooming can be done using either the toolbar buttons, the "View" menu items, the keyboard, the mouse or a 3Dconnexion device. The toolbar buttons above correspond to these commands:

  • Zoom window: ( Z) click and drag a window around the desired view area.

  • Zoom extents: ( X ) fits the entire drawing into the viewport. Double-clicking the viewport will also zoom to extents.

  • Zoom selected: ( F ) fits the selected entities into the viewport.

  • Zoom in: ( C ) increases the zoom magnification.

  • Zoom out: ( V ) decreases the zoom magnification.

  • Pan: click and hold the right mouse button while moving the mouse to pan.

.


Coordinate System

The viewport displays dashed lines to show where the origin or X0, Y0 is on the drawing.

The coordinates of the mouse pointer on the viewport can be seen on the status bar.

If the grid is enabled then you will also see points at regular intervals indicating the grid points. The grid can be turned on or off via the menu View / Show Grid.

By default, the drawing origin is also the zero point for creation of G-Code.

The menu Translate / Set Work Zero can be used to specify a new reference point for the creation of G-Code. This picture shows a second set of dashed lines that represent the 0, 0 coordinate used to create G-Code.


Entities

Drawings are made up of entities. An entity is simply a single point, line, arc or circle.

Point entity Point entity

Line entity

Arc entity

Circle entity


Entity Info

The entity info toolbar displays information about selected entities. The information displayed varies with the type of entity that is selected.

Example entity information for a line:

Layer - The name of the layer that contains the entity

Start - the X, Y coordinates of the line start point

End - the X, Y coordinates of the line end point

Center - not displayed for line entities

Delta - the X, Y distance from the start point to the end point

Length - the overall length of the line

Angle - the angle of the line from the start to the end point

Color - the method used to display the entity's color

Example entity information for an arc:

Layer - The name of the layer that contains the entity

Start - the X, Y coordinates of the arc start point

End - the X, Y coordinates of the arc end point

Center - the X, Y coordinates of the arc center point

Radius, Diameter - the radius and diameter of the arc

Length - the length of the arc

Angle - the start and end angles of the arc

Color - the method used to display the entity's color


Chains

Chains and Profiles

More than one entity connected into a continuous path is called a chain. Every chain has a start point, end point and direction. In the image below the chain start point is marked with small green square and the direction is marked with an arrow. A chains direction can be flipped with the menu "Tools / Reverse Chain".

The start point of a chain is important when creating G-Code from your drawing because this is where the tool will begin cutting. The tool will start at the point indicated by the green square and will follow the path in the direction of the arrows.

A closed chain is also called a profile. In this case the chain ends at the same point where it begins.

It is important to keep an eye on the chain start indicators when creating G-Code from your drawing. If you see multiple start indicators in a profile this can mean a couple of things:

It can mean there is a gap in the profile. For example:

In this example the profile starts at the point indicated by the red square, but because there is a gap you will see another start indicator. When creating G-Code from this profile the tool will retract when it reaches the gap and will re-enter the material at the next start point.

Multiple start points can also mean that the entity directions are not all the same. This can be fixed by simply applying the "Chain the drawing" tool. This tool automatically sorts the drawing so that connected entities will be going the same direction and will be cut in the order that they are connected.


Groups

Drawing entities can be assigned to a group, making them easier to select. To create a group of entities, simply select all of the entities you want to be in the group then click the menu "Edit / Group Selected" or press the shortcut key Ctrl-G. Once entities have been grouped, you can select all of them by clicking any of the entities in the group.

When entities are grouped you will see a message on the status bar indicating how many entities were added to the group.

When any entity in a group is selected, all of the entities in the group will be selected. The status bar message indicates the group that was selected and how many entities it contains.

To remove entities from a group, first select them and then click the menu "Edit / Ungroup Selected" or press the shortcut key Ctrl-U.


Drawing Colors

Drawing colors are a very useful means of organizing your drawings. SketchNC gives you several ways to select the colors for your drawings.

Every entity can be colored using one of three methods.

  1. Custom color - simply select the color you want to draw it with.

  2. Color by layer - very useful for easily seeing which parts of your drawing belong to what layer.

  3. Color by type - shows each entity in a color based on whether the entity is a line, an arc, a point, etc.

The preferences window contains a setting which determines the color setting for new drawing entities. This setting can be found on the "Drawing" tab.

The preferences window also contains settings that determine the drawing color for entities when the color by type option is selected.

When an entity color is set to the color by layer option, its color is determined by the color specified in the layer settings for the layer that the entity belongs to.

When an entity color is set to select color, its color will be displayed in the box that is shown in the entity properties window. To change the color, simply click the box and select a new color using the color picker dialog.


Selecting Entities

Many commands require that you select one or more entities on the viewport. An entity can be a point, line, arc or circle. The viewport offers several methods for entity selection:

  • Clicking: left clicking on an entity will select only that entity. If no entities are near the mouse pointer then all entities are deselected.

  • Select All: the menu item Edit / Select All or its corresponding toolbar button will select all the visible entities in the current drawing. Any entities on layers that are hidden will not be selected.

  • Select Chain: the menu item Edit / Select Chain or its corresponding toolbar button is similar to Shift-Clicking an entity except that all entities are first deselected.

  • Ctrl-Clicking: left clicking on an entity while holding the CTRL key will toggle its selected state.

  • Alt-Clicking: left clicking on an entity while holding the ALT key will select a chain up to the clicked entity. A partial chain can be selected by clicking the first entity then ALT-clicking the last entity to be selected.

  • Shift-Clicking: left clicking on an entity while holding the SHIFT key will toggle the selected state of an entire chain.

  • Window selecting: Groups of entities can be selected by simply dragging a box around them. Click and hold the left mouse button at one corner of a box and drag the mouse and release the button at the opposite corner. A box will be drawn as the mouse is moved to indicate the area containing the entities to be selected. The box will have either a solid line border or a dashed line border depending on which direction you drag the box. A solid line border appears when you drag to the right and will select everything that is completely inside the box when the mouse button is released. A dashed line border appears when you drag to the left and will select everything that is inside of or touching the borders of the box when the mouse button is released. This action will first clear the current selection set.

  • Shift-Window selecting: Window selecting while holding the SHIFT key will add the selected entities to the current selection set.

  • Ctrl-Window selecting: Window selecting while holding the CTRL key will deselect the enclosed entities.

  • Alt-Window selecting: Window selecting while holding the ALT key will select only entities that are on the active layer.


Show Points

The show points setting determines how the chain start points and direction markers are drawn on the viewport. This setting is changed by clicking its panel on the status bar.

Each time the panel is clicked the setting will toggle to the next state. The three settings are Show points OFF, Show Start Points and Show All Points.

Show points setting is OFF.

When the show points setting is set to Show Start Points, a small green square marks the start location of each chain. This can also be seen when the option "View / Show Start Points When Selected" is enabled. This option enables displaying the chain start points when its entity is selected, regardless of the show points setting.

When the show points setting is set to Show All Points, the start point and direction of every entity is shown. This can also be seen when the option "View / Show All Points When Selected" is enabled. This option enables displaying the start point and direction for every selected entity, regardless of the show points setting.

The size of the markers and arrows can be adjusted on the Preferences window.


Drawing and Editing Commands

When a command is started you can use the command line to enter coordinates for the requested input:

The command line serves to prompt you for requested input. Any requested points can be entered by either clicking a point on the drawing or by entering an X, Y coordinate pair on the command line.

Some commands have optional settings that can be entered via the command line. In this example, after a line start point has been picked the options [l]ength and [a]ngle appear. A value for the options may be entered by typing the letter that is enclosed in square brackets followed by a numeric value. For example, typing "A30.0" on the command line in this example would constrain the line to an angle of 30 degrees.

To cancel a command in progress, press the ESC key or click the right mouse button on the viewport.

When no command is active, right-clicking the mouse on the viewport will repeat the last command.


Using Snaps

Snaps are drawing aids that assist with creating entities on the viewport. There are three types of snaps: Grid Snap, Object Snap and Ortho Snap.

When the Grid Snap is turned on the mouse cursor will snap to the nearest grid point. The spacing of the grid points are determined by the X and Y grid interval settings on the Preferences dialog.

When Object Snap is turned on the mouse cursor will snap to certain locations on the existing drawing entities.

The object snap types are:

End - the start or end points

Mid - the mid point of a line, arc or circle

Int - a point where any two entities intersect

Ctr - the center point of an arc or circle

Quad - one of four quadrant points on an arc or circle

Tan - where one entity is tangent to another

The Ortho Snap is activated by holding the SHIFT key while drawing and constrains the mouse cursor to an angular setting. The ortho angle can be set via the Ortho Angle setting on the Preferences dialog.


Drawing Layers

There will always be at least one layer in every drawing. Every entity in your drawing belongs to a layer. Your drawing can contain as many layers as you like, they are useful as a means of organizing parts of your drawing.

The layer toolbar displays the list of layers along with the machining settings for the selected layer.

Along the top of the layer toolbar there are several tool buttons:

New layer - this tool will prompt for the name of the new layer then add it to the layer list.

Delete layer - this will ask for confirmation before deleting the selected layer. This will delete the layer from the layer list as well as any drawing entities that are on this layer.

Rename layer - prompts for a new name for the selected layer.

Move layer up - this will move the selected layer up by one item in the layer list. The layer order is important when converting the drawing to G-Code because SketchNC will convert the layers in the order that they appear in the layer list.

Move layer down - this will move the selected layer down by one item in the layer list. The layer order is important when converting the drawing to G-Code because SketchNC will convert the layers in the order that they appear in the layer list.

Copy layer settings - this tool will copy the selected layer settings to the clipboard so that they can be pasted into another layer.

Paste layer settings - this tool will paste the copied layer settings into the selected layer.

The check box next to each layer name indicates the visibility of each layer. A check in the box means that the drawing layer is visible in the viewport.

At the bottom of the layer toolbar are the machining settings for the selected layer.

Layer Color - clicking the color box will prompt for a new color for the selected layer. When an entity's color type is set to Color By Layer then this color is used to draw it on the viewport.

Create multiple Z passes - when checked this will cause SketchNC to create G-Code for the entities on this layer at increasingly lower Z depths. The settings Z Top of Material and Z Step Amount are only enabled when this setting is checked.

Z Level Machining - when checked, SketchNC will output all G-Code for the current Z depth before moving to the next depth. When unchecked, each chain will be machined to its final depth before moving on to the next chain. This option can only be checked when Create multiple Z passes is checked.

Z Retract - the Z position the machine will move to before moving at rapid rate to a new X, Y position. Sometimes referred to as the Z clearance position.

Z Approach - the Z axis will rapid from the Z retract height down to the Z approach height before feeding down into the material.

Z Top of Material - the Z position of the top of the material being machined. This position is used to calculate the Z depth of the first pass when the setting Create multiple Z passes is checked.

Z Step Amount - the depth that the Z will move down after each pass when the setting Create multiple Z passes is checked.

Z Final Depth - the Z depth that will be used to create the final machining G-Code.

Plunge Feed Rate - the feed rate that will be used for Z axis plunge moves. These are moves where the Z axis is moving downward and is the only axis being commanded to move.

Feed Rate - the feed rate that will be used for machining any non-plunge machining motion.

Note that the units for the values entered do not need to specified as either inch or millimeters. Enter the values in whatever units you want to work in.


About Font Manager

The font manager window allows you to specify where SketchNC should look for font files. It also provides a tool for converting True Type fonts to a format that can be used by SketchNC.

The font manager is divided into two parts. The top portion of its window lists the folders that will be searched for font files. The bottom portion is a list of the font files from each folder.

For each folder listed, the name of the folder will be highlighted in yellow then followed by the list of fonts that were found in that folder. If a font file with the same name is found in multiple folders then that font name will be highlighted in gray.


Add Folder

Prompts for a new folder to include when searching for font files. The selected folder will be added to the list of folders that is displayed in the top portion of the font manager window. Any new font files that are found in the selected folder will also be added to the font list in the bottom portion of the font manager window.


Remove Folder

Removes the selected folder from the list of folders that are searched for font files.


Delete Selected Fonts

This will delete any font files that are selected in the font manager font list.


Convert True Type Font to CHR Font

This tool will prompt for a True Type font then will convert it to a CHR font file. The destination folder for the new font can be specified by selecting the desired folder in the font manager folder list before invoking this tool.


Exit Font Manager

Closes the font manager window.


About the NC Program Window

The NC program window provides tools for converting your drawing to G-Code. It also provides tools for editing and formatting your G-Code program.


NCFile New

New

Clears the G-Code program.


NCFile Save

Save

Saves the active G-Code program.


NCFile Save As

Save As

Save the active G-Code program under a new name.


NCEdit Undo

Undo

Undo the last edit operation. This item will be greyed out if there are no more operations that can be undone.


NCEdit Redo

Redo

Redo the last undo operation. This item will be greyed out if there are no more operations that can be redone.


NCEdit Cut

Cut

Removes the selected text from the program and places it on the clipboard.


NCEdit Copy

Copy

Makes a copy of the selected text and places it on the clipboard.


NCEdit Paste

Paste

Inserts any text that is on the clipboard into the program at the cursor position.


NCEdit Find

Find

Opens the find dialog. This dialog can be used to search for and replace text within the G-Code program.


NCEdit Find Next

Find Next

Searches for the next occurrence of the find text in the program. The text to search for must first be specified on the find dialog.


NCEdit Replace

Replace

Searches for the next occurrence of the find text in the program and replaces it with the specified replace text. The find and replace text must first be specified on the find dialog.


NCEdit Jump To Top

Jump To Top

Moves the cursor to the beginning of the G-Code program.


NCEdit Jump To Bottom

Jump To Bottom

Moves the cursor to the end of the G-Code program.


NCEdit Font

Font

Opens the font selection dialog where you can select the desired font for the NC program window.


NCEdit Colorize

Colorize

This menu item will enable or disable the syntax coloring of the G-Code program. When enabled, each address letter and its value will be colored to help make the program easier to read.


NCFormat Renumber

Renumber

Opens the program renumbering tool. This tool is used to add, remove or update G-Code program line numbers.

This is an example of a program that does not contain block numbers.

This is the same program after applying the renumbering tool.


NCFormat Add Spaces

Add Spaces

This tool will add space characters between block addresses. This makes the program file larger, but helps with readability.

Example of a program without spaces.

And after applying the add spaces tool.


NCFormat Remove Spaces

Remove Spaces

This tool will remove space characters from between block addresses. This is helpful when you need to reduce the size of the program file.

Example of a program with spaces.

And after applying the remove spaces tool. Note that this does not remove spaces from inside of comments.


NCFormat Remove Comments

Remove Comments

Removes comments from the NC program. Comments are any text that are enclosed in parentheses.


NCFormat All Caps

All Caps

This tool converts the G-Code program too all capital letters. Note that this does not affect comments.


GCode Output Settings

Output Settings

The G-Code setup window is divided into 4 tabs. Each tab contains a group of settings that affect the G-Code output. The window also contains a menu that provides tools for importing and exporting the settings.

The "File / Export Settings" menu will prompt for a file name then save all of the G-Code output settings to a .INI file.

The "File / Import Settings" menu allows you to select a file to read the G-Code settings from. The selected file can either be a previously saved .INI file or, it can also read the G-Code settings from another .SNC drawing file.

  • Decimal places for G-Code output

Allows you to specify between 1 and 5 decimal places for output values.

  • Absolute or Incremental coordinate output

Specifies either G90 (absolute) or G91 (incremental) mode for coordinate output.

  • Arc center designation

Arc center points can be specified by either absolute I/J, Incremental I/J or by radius values.

    1. Absolute I/J coordinates are the absolute coordinate of the center point.

    2. Incremental I/J coordinates are the relative distance from the arc start point to its center.

    3. The "R" specified arc centers are the radius value of the arc. If the arc is a full circle then it will be broken into two commands of 180 degrees each. If the arc spans more than 180 degrees then the output "R" value will be negative.

  • Block number output

This group of settings determines how the output blocks will be numbered.


GCode 2 Axis Settings

2 Axis Settings

The 2 axis settings page allows you to specify whether the output code will be two or three axis. When three axis output is selected, the G-Code output will include Z axis motion. When two axis output is selected, the G-Code output will instead include the cutting start and cutting end code snippets. This is typically used for a plasma cutter, laser or water jet type cutting machine.

The cutting start code should be any program code that is required to turn on the cutting tool. The cutting end code is likewise used to specify program code that is required to turn off the cutting tool.


GCode Header Setting

Header Setting

The header setting allows you to specify a code snippet that will be inserted into your G-Code program at the beginning of each layer. This code snippet should do things like moving the axes to a safe position, activate the appropriate work offset, turn on the spindle, turn on the coolant, etc.


GCode Footer Setting

Footer Setting

The footer setting allows you to specify a code snippet that will be inserted into your G-Code program at the end of each layer. This code snippet should do things like moving the axes to a safe position, turn off the spindle, turn off the coolant, etc.


NCGCode All

All

This tool will convert the entire drawing to G-Code. The drawing is converted one layer at a time, starting at the topmost layer and working downward through the list. Any layers that are unchecked in the layer list (meaning they are hidden) will be skipped.


NCGCode Active Layer

Active Layer

This tool will convert the active layer to G-Code.


NCGCode Selected Only

Selected Only

This tool will convert just the selected portion of the drawing to G-Code.


Insert Header

Inserts the G-Code header snippet into the program at the current cursor location.


Insert Footer

Inserts the G-Code footer snippet into the program at the current cursor location.


Insert Cutting Start Code

Inserts the G-Code cutting start code snippet into the program at the current cursor location.


Insert Cutting End Code

Inserts the G-Code cutting end code snippet into the program at the current cursor location.


New Drawing

Clears the active drawing. If any unsaved changes have been made to the current drawing you will be prompted to save them first.


Open A Drawing

Open an existing drawing file. If any unsaved changes have been made to the current drawing you will be prompted to save them first.

SketchNC can open its native drawing files (.SNC), drawings in ASCII Drawing eXchange Format (.DXF) and G-Code program files (.NC).


Open Recent Drawing

This menu will display a list of the most recently opened drawings. Clicking on the name of a drawing will then re-open the drawing.


Insert A Drawing

Insert another drawing file into the active drawing. This menu item will prompt for a file to insert then add the selected file to the active drawing.

SketchNC can open its native drawing files (.SNC), drawings in ASCII Drawing eXchange Format (.DXF) and G-Code program files (.NC).


Save Drawing

Saves the active drawing. If the active drawing is untitled then you will be prompted for a file name to save as.


Save Drawing As

Save the active drawing under a new name. You will be prompted for a new file name to save as.


Save Selected As

Saves any selected parts of the drawing under a new name. You will be prompted for a new file name to save as.


Open Font Manager

Opens the font manager. For information about the font manager, click here.


Print

Opens the print preview window where you can setup print options and print the current drawing.


Exit

Exits SketchNC. If any unsaved changes have been made to the current drawing you will be prompted to save them before the application closes.


Undo

Undoes the last operation. If there is nothing to undo then this option will be greyed out.


Redo

Redo the last undone operation. If there is nothing that can be redone then this option will be greyed out.


Cut

Copies the selected entities to the clipboard then deletes them from the drawing.


Copy

Copies the selected entities to the clipboard.


Paste

Paste the clipboard contents into the active drawing.


Delete Selected

Removes all selected entities from the drawing.


Heal Gaps

Applies the Heal Gaps tool to the drawing. This tool will join endpoints that are within the maximum gap distance setting. This setting can be found on the preferences window, under the "Cleanup Settings" tab.


Join Colinear, Cocircular Segments

Applies the Join Colinear, Cocircular Segments tool to the drawing. This tool will find line segments that are end-to-end and going in the same direction and joins them into one line. The preferences window contains a tolerance setting that determines how closely the two segments must match in direction for them to be considered colinear. This tool also combines arc segments wherever possible.


Remove Zero Length Entities

This tool will remove any line, arc or circle entities from the drawing that have zero length.


Remove Duplicate Entites

Remove Duplicate Entities

This tool will search for and remove entities that are duplicates of another entity.


Chain The Drawing

Chaining is an operation that will sort the drawing entities in the order that they are connected in. This will also change the direction of some entities if necessary so that all entities in the chain are going in the same direction.

Chaining will help to make G-Code output more efficient and is necessary for some drawing tools to work properly, such as the offsetting tool.


Group Selected

This tool will add all selected entities to a new group. When any entity that is part of a group is selected the entire group will be selected.


Ungroup Selected

Removes any selected entities from a group.


Select All

Marks the entities in all enabled layers as selected. Selected entities are drawn in a different color than the non-selected entities.


Select Chain

This command prompts you to pick an entity then selects all entities that are connected to the selected entity.


Select Layer

Selects all entities in the active layer.


Select Inside Profile

This tool will prompt you to select an entity that is part of a closed chain. Once a chain is selected it will then select all entities that are inside of it.


Select By Color

This tool will prompt you to pick an entity that is the color you want to select. Once picked it will then select all of the entities that are the same color.


Select By Index

Allows you to pick a single entity by its index number. All entities have an index number that represents its order in the drawing.


Invert Selection

Will toggle the selected state of all entities.


Preferences

Opens the SketchNC Preferences window. This window contains multiple tabs each containing a group of settings.

Drawing Tab

  • X and Y Grid Interval - Determine how far apart the grid points will be in the X and Y direction.

  • Ortho Angle - The angular increment for commands that support ortho constraint

  • Reverse Mouse Wheel Zoom - Reverses the zoom in / zoom out direction when the mouse wheel is rolled on the viewport.

  • Enable Graphics Smoothing - Turns on graphics anti-aliasing when this option is checked.

  • Arc resolution - This slider determines how accurately arcs, circles and ellipses will be drawn by increasing or decreasing the number of line segments used to approximate them.

  • Arc Fit Tolerance - This slider determines how closely the resulting arcs must fit the set of points. Moving the slider to the right results in fewer, looser fitting arcs.

  • Size of point marker - Determines the drawing size of the chain start and direction indicators.

  • Picking distance - This setting is a distance in pixels for selecting entities on the viewport. You must click within this many pixels in order to select an entity.

  • Default Drawing Color - This setting determines the default color setting for new entities.

Colors Tab

  • Program color settings

Cleanup Settings Tab

  • Heal Gaps - When checked, the cleanup tool will adjust endpoints to eliminate gaps in chains that should be closed.

  • Remove Zero Length Objects - When checked, the cleanup tool will remove entities with a length less then 0.001

  • Remove Duplicate Objects - When checked, the cleanup tool will remove multiple copies of an entity with the same start and end points.

  • Join Colinear and Cocircular Entities - When checked the cleanup tool will join line and arc segments that are colinear within the tolerance amount.

  • Re-Chain the Drawing - When checked the cleanup tool will automatically re-chain the drawing.

  • Colinear and Cocircular entity joining tolerance - Moving this slider to the right will loosen the colinear line tolerance amount.

  • Max gap distance - the maximum distance that the Heal Gaps tool will close.


3Dconnexion Device Settings

Displays the configuration window for the 3Dconnexion device.

This window allows you to configure your 3Dconnexion device for use with SketchNC. For each function you can tell SketchNC which device axis to use along with a speed and reversal setting.


Point

Draws a single point entity. You will be prompted for:

  • Point location - click a point on the drawing or enter an X, Y location on the command line.


Point at Center

Draws a point at the center location of selected entities. If no entities are selected when this command is invoked then you will be prompted to select entities to draw a point on. If entities are already selected when this command is invoked then a point will be drawn at the center of each selected entity.


Point at End

Draws a point at the end of selected entities. If no entities are selected when this command is invoked then you will be prompted to select entities to draw a point on. If entities are already selected when this command is invoked then a point will be drawn at the end of each selected entity.


Points on Line or Arc

Draws evenly spaced points along a line or an arc. You will be prompted for an entity to draw points on.

Before selecting entities to draw points on, you can select whether you want to divide the entity evenly by a number of points or you can draw points at a given distance apart. Use the option "S" followed by a segment length to draw points at the given distance apart. Use the option "N" to divide the entity evenly into the given number of segments.


Line

Draws a line. You will be prompted for:

  • Start Point - click a point on the drawing or enter an X, Y location on the command line.

After the first point has been picked you can constrain the line length by entering "L" followed by the desired length on the command line. The lines angle can also be constrained by entering "A" followed by the desired line angle on the command line. If both length and angle are entered, the line is added to the drawing and the command completes.

  • End Point - click a point on the drawing or enter an X, Y location on the command line.

This command continues to repeat until you terminate it, allowing you to easily draw multiple lines.


Line Perpendicular

Draws a line perpendicular to another line. You will be prompted for:

  • A line to draw perpendicular to. Click an entity on the drawing you would like to draw perpendicular to.

  • Start point - click a point on the drawing or enter an X, Y location on the command line.

  • End point - click a point on the drawing or enter an X, Y location on the command line.


Line Tangent

Draws a line tangent to a selected arc, you will be prompted for:

  • An arc or circle to draw tangent from

  • End point - click a point on the drawing or enter an X, Y location on the command line.


Bisector Line

Draw a line that bisects two selected lines. You will be prompted for:

  • Two lines to draw a bisector line between.

  • End point of the bisector line.

The new line will begin at the intersection of the two selected lines and you can then pick the ending point for the new line.


Line Best Fit Through Points

This tool will draw a line that is the best fit through a group of selected points. If no points are selected when this command is invoked then you will be prompted to select a group of points to draw a best fit line through.


Rectangle

Draws a rectangle, you will be prompted for:

  • First corner - click a point on the drawing or enter an X, Y location on the command line.

  • Opposite corner - click a point on the drawing or enter an X, Y location on the command line.


Rectangle 3 Point

Draws a rectangle from 3 points. You will be prompted for:

  • First corner - click a point on the drawing or enter an X, Y location on the command line.

  • Second corner - click a point on the drawing or enter an X, Y location on the command line.

  • Length of rectangle - click a point on the drawing or use the option "L" to enter a length for the rectangle..


Rectangle From Center

Draws a rectangle from its center point. You will be prompted for:

  • Center point - click a point on the drawing or enter an X, Y location on the command line.

  • Corner point - click a point on the drawing or enter an X, Y location on the command line.

This command has an option called mark center which will draw a point at the picked center point of the rectangle when enabled.


Draw Bounding Rectangle

Draws a rectangle that bounds the extents of the selected entities. You will be prompted to select the entities you want to draw a bounding rectangle around.

Command options include:

  • "A" - angle to draw the bounding rectangle at. You can click a point on the drawing to indicate the orientation of the bounding rectangle or you can enter the desired angle with this option.

  • "M" - mark center. Draws a point at the center of the selected entities.

  • "H" - finds the bounding rectangle with the smallest area.


Polygon

Draws a polygon from its center and radius. You will be prompted for:

  • Center point - click a point on the drawing or enter an X, Y location on the command line.

Once the center point has been picked you have these options: the "S" option specifies how many sides the polygon should have. The "M" option specifies whether a point should be drawn at the picked center point. The "R" option selects whether the polygon is inscribed (from radius = no) or circumscribed (from radius = yes).


Circle

Draws a circle, you will be prompted for:

  • Circle center point - click a point on the drawing or enter an X, Y location on the command line.

  • Point on radius - click a point on the drawing or enter an X, Y location on the command line. The desired circle radius or diameter may be entered on the command line.

This command has an option called mark center which will draw a point at the center of the circle when enabled.


Circle from Diameter

Draws a circle using two points to indicate its diameter.

  • First point on circle - click a point on the drawing or enter an X, Y location on the command line.

  • Second point on circle - click a point on the drawing or enter an X, Y location on the command line.

You can use the "M" option to draw a point at the resulting circle's center point.


Circle From 3 Points

Draw a circle from three points, you will be prompted for three points on the circle. Enter the points by clicking on the drawing or entering their X, Y locations on the command line.

This command has an option called mark center which will draw a point at the center of the circle when enabled.


Circle Tangent to Two Entities

Draw a circle tangent to two other entities. You will prompted for:

  • The first entity to be tangent to. Either an arc, circle or line may be selected.

  • The second entity to be tangent to. Either an arc, circle or line may be selected.

  • The center point of the circle, or the desired circle radius. Click the viewport at the desired circle radius or enter a radius value via the command line. In most cases there is more than one place where a circle could be tangent to both entities, as you move the mouse pointer you will see a preview of the current solution.

This command has an option called mark center which will draw a point at the center of the circle when enabled.

TIP: To create a circle of a desired radius after picking two entities, enter "R" followed by the desired radius on the command line but don't press <enter> until moving the mouse pointer to get a solution in the desired location.


Circle Tangent to Three Entities

Draw a circle tangent to two other entities. You will prompted for:

  • The first entity to be tangent to. Either an arc, circle or line may be selected.

  • The second entity to be tangent to. Either an arc, circle or line may be selected.

  • The center point of the circle, or the desired circle radius. Click the viewport at the desired circle radius or enter a radius value via the command line. In most cases there is more than one place where a circle could be tangent to both entities, as you move the mouse pointer you will see a preview of the current solution.

This command has an option called mark center which will draw a point at the center of the circle when enabled.

TIP: To create a circle of a desired radius after picking two entities, enter "R" followed by the desired radius on the command line but don't press <enter> until moving the mouse pointer to get a solution in the desired location.


Circle Fit Inside Profile

Draws the largest circle that will fit inside the selected profile at the specified point. You will be prompted for:

  • A closed profile to bound the circle.

  • A point on the profile. The resulting circle will be tangent to the profile at the selected point.

This command has an option called mark center which will draw a point at the center of the circle when enabled.


Ellipse

Ellipse From Center

Draws an ellipse, you will be prompted for:

  • Ellipse center point - click a point on the drawing or enter an X, Y location on the command line.

  • Ellipse corner point - click a point on the drawing or enter an X, Y location on the command line.

This command has an option called mark center which will draw a point at the center of the ellipse when enabled.

TIP: This command creates a series of line segments approximating an ellipse. To control how many segments are created see the Arc Resolution setting on the Preferences dialog.

TIP: To turn this shape into a series of arc segments, use the tool Draw/Arc Through Points.


Ellipse From Corner

Draws an ellipse, you will be prompted for:

  • Ellipse corner point - click a point on the drawing or enter an X, Y location on the command line.

  • Ellipse opposite corner point - click a point on the drawing or enter an X, Y location on the command line.

This command has an option called mark center which will draw a point at the center of the ellipse when enabled.

TIP: This command creates a series of line segments approximating an ellipse. To control how many segments are created see the Arc Resolution setting on the Preferences dialog.

TIP: To turn this shape into a series of arc segments, use the tool Draw / Arc Through Points.


Arc CW

Draws a clockwise arc, you will be prompted for:

  • Arc center point - click a point on the drawing or enter an X, Y location on the command line.

  • Arc start point - click a point on the drawing or enter an X, Y location on the command line.

  • Arc end point - click a point on the drawing or enter an X, Y location on the command line.

This command has an option called mark center which will draw a point at the center of the arc when enabled.


Arc CW from 3 Points

Draws a clockwise arc from three points, you will be prompted for:

  • First point on arc - click a point on the drawing or enter an X, Y location on the command line.

  • Second point on arc - click a point on the drawing or enter an X, Y location on the command line.

  • Third point on arc or radius - click a point on the drawing or use the command line to enter either a radius value or an X, Y location.

After the second point has be picked this command will behave in one of two ways depending on the mouse pointer location. When the mouse pointer is between the first two points an arc can be created using the first two points as the start and end points and the third point as a point on the radius. Once the mouse pointer moves beyond the second point the arc will created from the first point through the second point to the last point. A radius value may also be entered after the second point has been picked. In this case an arc will be created using the first and second points as the start and end points of the arc.

This command has an option called mark center which will draw a point at the center of the arc when enabled.


Arc CCW

Draws a counter-clockwise arc, you will be prompted for:

  • Arc center point - click a point on the drawing or enter an X, Y location on the command line.

  • Arc start point - click a point on the drawing or enter an X, Y location on the command line.

  • Arc end point - click a point on the drawing or enter an X, Y location on the command line.

This command has an option called mark center which will draw a point at the center of the arc when enabled.


Arc CCW from 3 Points

Draws a counter-clockwise arc from three points, you will be prompted for:

  • First point on arc - click a point on the drawing or enter an X, Y location on the command line.

  • Second point on arc - click a point on the drawing or enter an X, Y location on the command line.

  • Third point on arc or radius - click a point on the drawing or use the command line to enter either a radius value or an X, Y location.

After the second point has be picked this command will behave in one of two ways depending on the mouse pointer location. When the mouse pointer is between the first two points an arc can be created using the first two points as the start and end points and the third point as a point on the radius. Once the mouse pointer moves beyond the second point the arc will created from the first point through the second point to the last point. A radius value may also be entered after the second point has been picked. In this case an arc will be created using the first and second points as the start and end points of the arc.

This command has an option called mark center which will draw a point at the center of the arc when enabled.


Arc Through Points

This command will replace a selected series of line segments with one or more arcs. Before the command begins it will automatically combine colinear line segments from the selected entities.

TIP: More than one group of entities may be selected, this command will process each group separately.

TIP: There is a setting called Arc Fit Tolerance on the Preferences dialog that controls how loosely the resulting arcs can fit the selected points.


Raster Fill

This tool will fill a closed chain with a series of line segments. You will be prompted to select closed chains to fill.

Command options include:

  • "S" - sets the stepover distance for the fill lines.

  • "A" - sets the angle of the fill lines.

  • "D" - sets the cut direction of the fill lines. Options are 0 = bidirectional, 1 = left to right, 2 = right to left.

Example shape used for raster fill:

Raster fill example

Example filled shape:

Raster fill example


Pocket Toolpath

This tool will draw an offset pocket tool path. You will be prompted for:

  • Pocket profile. This should be the outer most shape of the pocket.

  • Island profiles. These are profiles inside of the pocket profile that will not be machined.

Pocketing options are:

"T" - the diameter of the tool used to machine the pocket.

"S" - the offset stepover between passes. By default, this will be set to half of the tool diameter.

"F" - the amount to leave on the side for finish.

"D" - the direction of machining, can be from the pocket profile inward or from the pocket middle outward.


V-Carve Toolpath

This tool draws a V-Carve toolpath. You will be prompted to select closed profiles for creating V-Carve toolpaths.

Options are:

"T" - tool type. This option will toggle between a V-bit cutter and a ball nose cutter.

"A" - tool angle. This option is only valid for a V-bit cutter.

"D" - tool diameter. The maximum diameter of the tool.

"M" - maximum depth. This option will calculate the tool diameter that will give the desired maximum cutting depth.

"L" - step length. This determines how many points are used to calculate the toolpath. This is set automatically when the tool diameter is set, but can be adjusted if needed. Making this value smaller will increase the amount of detail, but will take longer to compute the path.

"S" - which side. This option will toggle between creating the toolpath on the left or the right side of the selected profiles. This will determine whether the toolpath is created on the inside or the outside of the profiles.

Example V-Carving using outline text.

Example V-Carving inside of lettering.

Example V-Carving the outside of the same lettering.

When creating V-Carve tool paths it is important that they be created on a layer that includes "vcarve" somewhere in its name. This enables the G-Code output to be created as a 3d tool path.


Simple Text

Text

Draws text. You will be prompted for:

  • Text to draw - enter the text you would like to draw.

  • Text location - click a point on the drawing or enter an X, Y location on the command line.

Command options include:

  • "F" - this option prompts for the desired font to use for drawing the text.

  • "H" - use this option to specify the height of the text.

  • "S" - this option specifies the amount of spacing between characters.

  • "M" - this option allows the text to be drawn mirrored in either the X or Y direction.

  • "T" - use this option to modify the text to draw.

When the text command is active the font selection window will appear. This window displays the available fonts as configured by the font manager. Clicking a font name will select that font and will update the preview text.

The "Browse" button will allow you to browse for a font that is not listed in the font selection window. When a font file is selected its folder will be added to the font manager and any other fonts in the folder will also be added to the font selection window.

Example text.

If any entities are selected when invoking this command then the text will be drawn beginning at the start point of the selected chain. The text will then follow the path of the selected entities. If no entities are selected when invoking this command then the text will drawn normally in the horizontal direction.

Example of text along a profile.

Using the font manager you can also convert any True Type font on your system into a .CHR font that can then be used by SketchNC.


Sketch

This command draws a series of line segments on the viewport whenever the mouse is moved while holding the left mouse button.


Move

Moves the selected entities, you will prompted for a point to move from and a point to move to.

TIP: To move something a specific distance just enter "0, 0" on the command line as the point to move from and then the X, Y distance to move as the second point.


Translate Copy

Copy

Copies the selected entities, you will prompted for a point to copy from and a point to copy to.

TIP: To copy something a specific distance away just enter "0, 0" on the command line as the point to copy from and then the X, Y distance to copy as the second point.


Offset

Offsets the selected entities by the given offset distance. If nothing is selected you will be prompted for an entity to offset then the offset direction, otherwise you will just be prompted for the offset direction.

This command has the offset distance as an option, to change the distance enter "D" followed by the distance on the command line.

TIP: Shift-clicking an entity on the drawing will select the entire chain and is handy for selecting a path to offset.


Mirror

This command will mirror the selected entities. You will be prompted for:

  • Base point of mirror axis - click a point on the drawing or enter an X, Y location on the command line.

  • End of mirror axis - click a point on the drawing or enter an X, Y location on the command line.

The base point and end point form a line around which the selected entities will be mirrored.

This command has an option called copy which will create new entities when enabled.


Rotate

This command will rotate the selected entities. You will be prompted for:

  • Center point of rotation - click a point on the drawing or enter an X, Y location on the command line.

  • Reference point or rotation angle - click a point on the drawing or enter an X, Y location on the command line to select a reference point. You can also enter "A" followed by the number to degrees to rotate.

  • Second reference point - click a point on the drawing or enter an X, Y location on the command line.

This command has an option called copy which will create new entities when enabled.


Scale

This command will scale the selected entities. You will be prompted for:

  • Scaling base point - click a point on the drawing or enter an X, Y location on the command line to select a base point.

  • First reference point - click a point on the drawing or enter an X, Y location on the command line. You can also enter "S" followed by the scale factor, "X" followed by a scale factor or "Y" followed by a scale factor.

  • Second reference point - click a point on the drawing or enter an X, Y location on the command line. You can also enter "S" followed by the scale factor, "X" followed by a scale factor or "Y" followed by a scale factor.

This command has an option called copy which will create new entities when enabled.


Set Work Zero

Selects a point on the drawing to use as the work zero point for creating G-Code.


Chain Selected

Applies the chaining tool to the selected entities only.


Reverse Chain

This command will reverse the direction of the selected chain.


Move Chain Start

This command allows you to specify the entry point for a closed chain. You will be prompted to pick the end point of an entity that you want to be the new start point for the chain.

TIP: This command has no effect if the picked point is not part of a closed chain. An example of a closed chain would be a circle.

TIP: Chain start points are marked on the drawing by small squares.


Boolean Chains

Boolean Union

This tool will perform a boolean union on two closed chains. This operation will remove the parts of the chains that are within the boundary of the other. This effectively leaves just the outline of their combined shapes.

Before:

After:


Boolean Difference

This tool will perform a boolean subtraction on two closed chains, deleting the chain that was subtracted. The result of this operation will depend on which chain was selected first.

Before:

After:


Boolean Intersection

This tool will perform a boolean intersection on two closed chains. This operation will leave just the area where the two shapes intersect.

Before:

After:


Split Entity

This command will split one entity into two at a selected point.


Break Selected

Split at Midpoint

This command will split all selected entities at their midpoint, so that each selected entity becomes two.


Split Chains

Split Geometry

This tool will split all selected entities at any points of intersection.

Before:

After:


Trim Lines

Trim Entities

This command will trim an entity back to where it intersects another entity. You will first be prompted to pick an entity to cut at, then for entities that you want to trim off.


Join Lines

Join Entities

This command will join two entities at one of their intersection points. You will be prompted for:

  • First entity to join, click an entity on the drawing.

  • Second entity to join, click an entity on the drawing.

  • A point near the desired intersection point.

If both selected entities are lines then the additional point is not requested. If at least one of the selected entities is an arc or circle then move the mouse pointer until the preview shows the desired result when picking the additional point.

TIP: This command looks at the spot where the entities were picked to determine which end to move. When joining a line and arc or two arcs then click the selected entities near the end point to be moved.


Extend Line

Extend Entity

This command will extend an entity to a new point. You will first be prompted to pick an entity to extend, then for the new end point.

TIP: The endpoint to be moved will be the closest to the point that was picked.


Fillet Entities

This command will join two entities with a radius. You will be prompted for:

  • First entity to join, click an entity on the drawing.

  • Second entity to join, click an entity on the drawing.

  • A point at the desired radius or the desired radius may entered on the command line.

TIP: This command looks at the spot where the entities were picked to determine which end to move. If the entities to fillet do not touch then click the entities near the end point to be moved, otherwise click them near the point where the fillet should be.


Adjust Radius

This command allows the radius of an arc or circle to be adjusted. This command prompts for:

  • The arc or circle to be adjusted, click an entity on the drawing.

  • A point at the desired radius, or the desired radius may be entered on the command line.

The start and end points of the selected entity will remain at their current locations, the center point is moved to adjust the radius.


Break Arcs

This command will break any selected arc or circle entities into a series of line segments. The number of segments that are created is determined by the Arc Resolution setting on the Preferences dialog.


Move Point

This command moves an endpoint to a new location. You are first prompted for the point to move then for its new location. If multiple entities share the same end point then this command moves it for all of them.


Measure Two Points

Measure Points

This command prompts you for two points then displays measurement info.


Measure Angle

Tool for measuring angles. You will be prompted for:

  • First point of base line.

  • Second point of base line, or measure from default. Using the first point as a reference, you can measure to another point. The result will be measured from 0 degrees at the 3 o'clock position.

  • Point to measure to if the second point of the base line is picked. You can pick a second point as an angle to measure from. After the second point is picked, the displayed measurement will be referenced from the selected base line as 0 degrees.


Zoom Window

Using the left mouse button, drag a box around the desired view area. This tool is also activated by pressing the ‘Z’ key when the viewport is active.


Zoom Extents

Sets the view center and zoom size to fit the entire project in the viewport. This tool is also activated by pressing the ‘X’ key when the viewport is active.


Zoom Selected

Sets the view center and zoom size to fit the selected entities in the viewport. If no entities are selected then this tool has no effect. This tool is also activated by pressing the ‘F’ key when the viewport is active.


Zoom In

Enlarges the view size. This tool is also activated by pressing the ‘C’ key when the viewport is active.


Zoom Out

Reduces the view size. This tool is also activated by pressing the ‘V’ key when the viewport is active.


Pan

After selecting this tool, use either mouse button to drag the viewport to the desired view center.


Drawing Properties

Displays statistics for the active drawing.


Selected Entity Properties

Displays statistics for the selected entities.


Show NC Program Window

Shows or hides the NC program window.


Show Grid

This menu item is a toggle selection that turns on or off each time it is clicked, when it is on a check mark appears next to it on the menu. Enabling this item causes the snap grid to be displayed in the graphics preview window. See also Using Snaps.

The SketchNC preferences window contains settings that determine the spacing of the grid points, see SketchNC Preferences.


Show Arc Centers When Selected

When this option is enabled the viewport will display a point to indicate the center of any selected arcs or circles.


Show Start Points When Selected

When this option is enabled the viewport will display chain start points with a colored marker and a direction arrow, regardless of the Show Points setting.


Show All Points When Selected

When this option is enabled the viewport will display all entity start points with a colored marker and a direction arrow, regardless of the Show Points setting.


SketchNC Help

Opens this help document.


Release Notes

Opens the release notes. This is a notepad document that details the most recent changes to SketchNC.


About SketchNC

Displays a window showing the SketchNC version number and your license status. This window also allows you to de-register SketchNC on your computer. To do this you must enter the original product key that was used to register the software and then click the "De-Register" button.

If your SketchNC trial period has expired and you have a network license manager installed you can click "Check for License Server" to enable connecting to the license server.


Enable License Server

Checking this menu item will enable communications to the license manager. This requires that the Network License Manager be running on a computer that is connected to the network.


Check Out License

This will request a license transfer from the license manager. If successful, the license is stored on the client computer so that SketchNC may be run while disconnected from the network. While it is checked out the license will not be available for other users.


Check In License

This will return a stored license back to the license manager. This tool may also be used to add a license to the license manager. If you have registered SketchNC on a computer, its license may be moved to the license manager by first enabling the license server and then checking the license into the license manager. If the license does not already exist in the license manager, it will be added. This is very handy if you are adding a license manager to a group of computers that already have SketchNC installed and registered.


License Manager Settings

Opens the license manager settings dialog. This dialog allows you to specify a network IP address or host name for the license server or let SketchNC automatically detect the server.


Circle Tangent

Circle Fit Inside Profile

Draw a circle tangent to two other entities. You will prompted for:

  • The first entity to be tangent to. Either an arc, circle or line may be selected.

  • The second entity to be tangent to. Either an arc, circle or line may be selected.

  • The center point of the circle, or the desired circle radius. Click the viewport at the desired circle radius or enter a radius value via the command line. In most cases there is more than one place where a circle could be tangent to both entities, as you move the mouse pointer you will see a preview of the current solution.

This command has an option called mark center which will draw a crosshair at the center point of the circle when enabled.

TIP: To create a circle of a desired radius after picking two entities, enter "R" followed by the desired radius on the command line but don't press <enter> until moving the mouse pointer to get a solution in the desired location.


Customizing the Toolbars

The toolbars in SketchNC are highly customizable. You can hide individual buttons, hide entire toolbars or even create your own toolbars containing your most commonly used buttons or even menu shortcuts.

The toolbar layout, including custom toolbars is saved when you exit SketchNC. If you want to reset your toolbars to the default layout click the menu File / Reset Toolbars.

Hiding toolbar buttons

To customize a toolbar, it must first be docked. Each toolbar has a band on its right side that may clicked to display the option to Add or Remove Buttons.

Hovering the mouse pointer over Add or Remove Buttons will then display a list of the buttons on the toolbar along with check boxes for each button. Unchecked boxes will hide the corresponding button.

Create custom toolbars

You may also create your own custom toolbars that can contain any combination of buttons from the other toolbars. The toolbar customize dialog can be accessed by right-clicking any of the toolbars and selecting Customize from the menu that appears.

On this dialog, click the New button and then enter a name for the new toolbar. The toolbar is then created and will appear on the screen as an undocked toolbar. To add buttons to the new toolbar the Customize dialog must be left open. Click and drag buttons to move them from the other toolbars to your new toolbar, or hold the CTRL key while dragging to copy them.

Adding menu shortcuts to a toolbar

Menu commands may also be added to existing or custom toolbars.

On the toolbar customize dialog, select the Commands tab. The categories list represents each of the menus in SketchNC and the Commands list represents the items in each menu. To add a command to a toolbar, drag it from the Commands list to an open toolbar.


Export Keyboard Shortcuts

This tool allows saving the keyboard shortcuts that have been assigned to the menu items.


GCode Tool Changes Setting

Tool Changes Setting

The tool changes setting allows you to specify a code snippet that will be inserted into your G-Code program at each tool change. This code snippet should do things like moving the axes to a safe position, pause to change the tool and restart the spindle, etc.

NOTE: this feature is currently not implemented in SketchNC.


Import Keyboard Shortcuts

This tool loads a previously saved keyboard shortcut file.


Menu Shortcut Keys

The menu shortcut keys can customized via the toolbar customize dialog. The toolbar customize dialog can be accessed by right-clicking any of the toolbars and selecting Customize from the menu that appears. The keyboard shortcut keys are part of the toolbar layout and will be saved when exiting SketchNC. Resetting the toolbar layout from the menu File / Reset Toolbars will also reset the keyboard shortcut keys.

On the Customize dialog, click the Keyboard button to access the Customize Keyboard dialog.

Using this dialog you can assign or change any of the keyboard shortcut keys for any of the SketchNC menu items.


Reset Toolbars

This will load the default toolbar layout, clearing any changes that have been made to the layout. This includes custom toolbars and the keyboard shortcuts.


Text Outline

Draws outline text from a True Type font. You will be prompted for:

  • Text to draw - enter the text you would like to draw.

  • Text location - click a point on the drawing or enter an X, Y location on the command line.

Command options include:

  • "F" - this option prompts for the desired font to use for drawing the text.
  • "H" - use this option to specify the height of the text.
  • "S" - this option specifies the amount of spacing between characters.
  • "M" - this option allows the text to be drawn mirrored in either the X or Y direction.
  • "T" - use this option to modify the text to draw.

If any entities are selected when invoking this command then the text will be drawn beginning at the start point of the selected chain. The text will then follow the path of the selected entities. If no entities are selected when invoking this command then the text will drawn normally in the horizontal direction.